﻿



/**/
/* Form Styling */
/**/

form {
    width: 100%;
}

form, input, select, option, textarea, input {
    font-family: var(--ff-serif);
    display: flex;
    flex-direction: column;
    gap: 1em;
}

input, select, textarea {
    padding: .75em;
    border-radius: 1em;
    border-radius: .33em;
    border: .2em #E5E5E5 solid;
    background: transparent;
}

textarea {
    resize: vertical;
    overflow: hidden;
    min-height: 4rem;
    max-height: 10rem;
}

button {
    all: unset;
    cursor: pointer;
}

.hbox {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.hbox > * {
    flex: 1 1 50%;
}

.field {
    display: flex;
    flex-direction: column;
}

.field p {
    margin-bottom: .2em;
}





/**/
/* Page Styling */
/**/

#contact {
    padding: var(--min-padding);
}

.trr-title__info h1 {
    font-size: 3.25rem;
    line-height: 2.9rem;
    margin-top: .3em;
    margin-bottom: .3em;
    font-weight: 400;
}

.trr-title__info p {
    max-width: 32ch;
}

#contact .card {
    padding: var(--min-padding);
    justify-content: flex-start;
    align-items: flex-start;
}

.contact__flow {
    display: flex;
    flex-direction: column;
    gap: var(--min-padding);
}

.contact__connect .info-box {
    display: flex;
}

.contact__connect .info-box .image {
    margin-bottom: 0;
    margin-right: .5em;
}

.contact__connect .info-box .info-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex: 1;
}

.contact__connect .info-box .info-container .sub {
    color: var(--clr-text-muted);
}

.contact__connect .divider {
    align-self: center;
    width: 90%;
    height: .15em;
    background: #E5E5E5;
    margin-block: 1em;
}

.contact__form {
    flex: 1;
}



@media only screen and (min-width: 750px) {

    .hbox {
        flex-direction: row;
    }

    .contact__form {
        flex: 1 1 75%;
    }

    .contact__flow {
        max-width: var(--desktop-max-width);
        margin: 0 auto;
        flex-direction: row;
    }
}